diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/output-stream-wrapper.cc ns-3.45/src/network/utils/output-stream-wrapper.cc
--- ns-3.44/src/network/utils/output-stream-wrapper.cc	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/network/utils/output-stream-wrapper.cc	2025-06-01 20:34:45.562702000 -0700
@@ -26,8 +26,8 @@
     m_ostream = os;
     FatalImpl::RegisterStream(m_ostream);
     NS_ABORT_MSG_UNLESS(os->is_open(),
-                        "AsciiTraceHelper::CreateFileStream():  "
-                            << "Unable to Open " << filename << " for mode " << filemode);
+                        "AsciiTraceHelper::CreateFileStream(): Unable to Open "
+                            << filename << " for mode " << filemode);
 }
 
 OutputStreamWrapper::OutputStreamWrapper(std::ostream* os)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/packetbb.cc ns-3.45/src/network/utils/packetbb.cc
--- ns-3.44/src/network/utils/packetbb.cc	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/network/utils/packetbb.cc	2025-06-01 20:34:45.562702000 -0700
@@ -1,4 +1,3 @@
-/* vim: set ts=2 sw=2 sta expandtab ai si cin: */
 /*
  * Copyright (c) 2009 Drexel University
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/packetbb.h ns-3.45/src/network/utils/packetbb.h
--- ns-3.44/src/network/utils/packetbb.h	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/network/utils/packetbb.h	2025-06-01 20:34:45.563702000 -0700
@@ -1,4 +1,3 @@
-/* vim: set ts=2 sw=2 sta expandtab ai si cin: */
 /*
  * Copyright (c) 2009 Drexel University
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/nix-vector-routing/model/nix-vector-routing.cc ns-3.45/src/nix-vector-routing/model/nix-vector-routing.cc
--- ns-3.44/src/nix-vector-routing/model/nix-vector-routing.cc	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/nix-vector-routing/model/nix-vector-routing.cc	2025-06-01 20:34:45.565702000 -0700
@@ -30,16 +30,19 @@
 NS_OBJECT_TEMPLATE_CLASS_DEFINE(NixVectorRouting, Ipv4RoutingProtocol);
 NS_OBJECT_TEMPLATE_CLASS_DEFINE(NixVectorRouting, Ipv6RoutingProtocol);
 
+/// Flag to mark when caches are dirty and need to be flushed
 template <typename T>
 bool NixVectorRouting<T>::g_isCacheDirty = false;
 
-// Epoch starts from one to make it easier to spot an uninitialized NixVector during debug.
+/// Epoch starts from one to make it easier to spot an uninitialized NixVector during debug.
 template <typename T>
 uint32_t NixVectorRouting<T>::g_epoch = 1;
 
+/// Mapping of IP address to ns-3 node
 template <typename T>
 typename NixVectorRouting<T>::IpAddressToNodeMap NixVectorRouting<T>::g_ipAddressToNodeMap;
 
+/// Mapping of Ptr<NetDevice> to Ptr<IpInterface>.
 template <typename T>
 typename NixVectorRouting<T>::NetDeviceToIpInterfaceMap
     NixVectorRouting<T>::g_netdeviceToIpInterfaceMap;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.cc ns-3.45/src/propagation/model/three-gpp-propagation-loss-model.cc
--- ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.cc	2025-03-09 16:55:49.687372200 -0700
+++ ns-3.45/src/propagation/model/three-gpp-propagation-loss-model.cc	2025-06-01 20:34:45.570702000 -0700
@@ -263,6 +263,9 @@
 
 NS_OBJECT_ENSURE_REGISTERED(ThreeGppPropagationLossModel);
 
+std::function<Ptr<MobilityModel>(Ptr<const MobilityModel>, Ptr<const MobilityModel>)>
+    ThreeGppPropagationLossModel::m_doCalcRxPowerPrologueFunction;
+
 TypeId
 ThreeGppPropagationLossModel::GetTypeId()
 {
@@ -375,11 +378,19 @@
 
 double
 ThreeGppPropagationLossModel::DoCalcRxPower(double txPowerDbm,
-                                            Ptr<MobilityModel> a,
+                                            Ptr<MobilityModel> c,
                                             Ptr<MobilityModel> b) const
 {
     NS_LOG_FUNCTION(this);
 
+    // if there is a prologue function installed, call it and replace the transmitter mobility model
+    auto a = m_doCalcRxPowerPrologueFunction ? m_doCalcRxPowerPrologueFunction(b, c) : c;
+    if (a->GetPosition() != c->GetPosition())
+    {
+        NS_LOG_DEBUG("Prologue function replaced source position "
+                     << c->GetPosition() << " with position " << a->GetPosition());
+    }
+
     // check if the model is initialized
     NS_ASSERT_MSG(m_frequency != 0.0, "First set the centre frequency");
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.h ns-3.45/src/propagation/model/three-gpp-propagation-loss-model.h
--- ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
+++ ns-3.45/src/propagation/model/three-gpp-propagation-loss-model.h	2025-06-01 20:34:45.570702000 -0700
@@ -75,6 +75,26 @@
      */
     bool IsO2iLowPenetrationLoss(Ptr<const ChannelCondition> cond) const;
 
+    /**
+     * @brief Stop-gap solution for wraparound model
+     *
+     * Stop-gap solution for support of wraparound model in the 5G NR module. This
+     * method was introduced for ns-3.45 but will be removed in a future release once
+     * a more general solution is added elsewhere (most likely in the spectrum channel). The
+     * callback method registered here will be executed at the beginning of DoCalcRxPower, and the
+     * returned pointer to a mobility model will be subsequently used as the (replacement) source
+     * mobility model for the rest of DoCalcRxPower() processing.
+     *
+     * @param prologueFunction Function that receives two mobility models and compute a third, based
+     * on the wrapped position of the second model in respect to the first
+     */
+    static void InstallDoCalcRxPowerPrologueFunction(
+        std::function<Ptr<MobilityModel>(Ptr<const MobilityModel>, Ptr<const MobilityModel>)>
+            prologueFunction)
+    {
+        m_doCalcRxPowerPrologueFunction = prologueFunction;
+    }
+
   private:
     /**
      * Computes the received power by applying the pathloss model described in
@@ -300,6 +320,10 @@
     Ptr<NormalRandomVariable>
         m_normalO2iHighLossVar; //!< a normal random variable for the calculation of 02i high loss,
                                 //!< see TR38.901 Table 7.4.3-2
+
+    /// Optional prologue function that can be used to implement wraparound models
+    static std::function<Ptr<MobilityModel>(Ptr<const MobilityModel>, Ptr<const MobilityModel>)>
+        m_doCalcRxPowerPrologueFunction;
 };
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/sixlowpan/model/sixlowpan-net-device.h ns-3.45/src/sixlowpan/model/sixlowpan-net-device.h
--- ns-3.44/src/sixlowpan/model/sixlowpan-net-device.h	2025-03-09 16:55:49.687372200 -0700
+++ ns-3.45/src/sixlowpan/model/sixlowpan-net-device.h	2025-06-01 20:34:45.572702200 -0700
@@ -596,10 +596,6 @@
      * Container for fragment key -> fragments.
      */
     typedef std::map<FragmentKey_t, Ptr<Fragments>> MapFragments_t;
-    /**
-     * Container Iterator for fragment key -> fragments.
-     */
-    typedef std::map<FragmentKey_t, Ptr<Fragments>>::iterator MapFragmentsI_t;
 
     MapFragments_t m_fragments;       //!< Fragments hold to be rebuilt.
     Time m_fragmentExpirationTimeout; //!< Time limit for fragment rebuilding.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/stats/helper/file-helper.h ns-3.45/src/stats/helper/file-helper.h
--- ns-3.44/src/stats/helper/file-helper.h	2025-03-09 16:55:49.699372300 -0700
+++ ns-3.45/src/stats/helper/file-helper.h	2025-06-01 20:34:45.584702000 -0700
@@ -308,8 +308,7 @@
     std::string m_8dFormat;  //!< Format string for 8D format C-style sprintf() function.
     std::string m_9dFormat;  //!< Format string for 9D format C-style sprintf() function.
     std::string m_10dFormat; //!< Format string for 10D format C-style sprintf() function.
-
-}; // class FileHelper
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/stats/helper/gnuplot-helper.h ns-3.45/src/stats/helper/gnuplot-helper.h
--- ns-3.44/src/stats/helper/gnuplot-helper.h	2025-03-09 16:55:49.699372300 -0700
+++ ns-3.45/src/stats/helper/gnuplot-helper.h	2025-06-01 20:34:45.584702000 -0700
@@ -198,8 +198,7 @@
 
     /// Terminal type for the plot.
     std::string m_terminalType;
-
-}; // class GnuplotHelper
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/stats/model/file-aggregator.h ns-3.45/src/stats/model/file-aggregator.h
--- ns-3.44/src/stats/model/file-aggregator.h	2025-03-09 16:55:49.699372300 -0700
+++ ns-3.45/src/stats/model/file-aggregator.h	2025-06-01 20:34:45.585702200 -0700
@@ -354,8 +354,7 @@
     std::string m_8dFormat;  //!< Format string for 8D C-style sprintf() function.
     std::string m_9dFormat;  //!< Format string for 9D C-style sprintf() function.
     std::string m_10dFormat; //!< Format string for 10D C-style sprintf() function.
-
-}; // class FileAggregator
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/stats/model/gnuplot-aggregator.h ns-3.45/src/stats/model/gnuplot-aggregator.h
--- ns-3.44/src/stats/model/gnuplot-aggregator.h	2025-03-09 16:55:49.699372300 -0700
+++ ns-3.45/src/stats/model/gnuplot-aggregator.h	2025-06-01 20:34:45.585702200 -0700
@@ -276,8 +276,7 @@
 
     /// Maps context strings to 2D datasets.
     std::map<std::string, Gnuplot2dDataset> m_2dDatasetMap;
-
-}; // class GnuplotAggregator
+};
 
 } // namespace ns3
 
